2023-02-03 21:38 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005831Lollypop[All Projects] Generalpublic2022-11-02 11:59
ReporterTorti the Smurf 
Assigned ToCFOUProject InfoLollypop (Rainbow Arts/Softgold)
http://www.whdload.de/games/Lollypop.html
 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005831: Crash at level 5 !!! 100% !!! - There is also a Install Bug besides others
Description100% Crash at Level 5. (Level 5 is working tho with the level select cheat)

The Install not only copies the Extracted data files from the Disc Images, but also copies the hole Disk Images Themself.
Steps To Reproduceuse the cheatcode for faster testing. level 5 will crash 100%.

1) ok so start the game as usal.
2) when level 1 starts type brain and then Enter to activate the cheat
3) now press Tab on the keyboard.
4) you will skip a level everytime you press tab
5) if level 5 comes up it will freeze 100% ether with a grey like screen or a error message that LifeSchool posted here.

https://eab.abime.net/showthread.php?t=112179

The funny thing is...
if we would press 5 on the keyboard (with the bbrain code activated) Level 5 would work. But there is no regular way to get to level 5 with the current 1.0 Slave.

So, this would need a fix and the install themself; so that the Images Disk.1-Disk.5 will not be copied into the Data folders.


Additional InformationThis game is played right now for the LemonAmiga SuperLeague competition.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem28 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0011858

Torti the Smurf (reporter)

File 5B and 6E are corrupt on Disk1.
There was however a updated version of this disk.

The updated/fixed Disk is flawless as far as i can see.

Please use that one (the disk is to big to post it here, sorry)

Greetings, Torti

note ~0011860

CFOU (developer)

Last edited: 2022-10-25 01:00

View 2 revisions

so you need just ignore both files on disk1 during instakllation if present on another disks?

can you post good files 5b and 6e for test?

note ~0011861

CFOU (developer)

PS: a checksum test of both files could be added in the slave at launch to verify installed files and display error message if needed...

note ~0011862

CFOU (developer)

@Torti the Smurf
SPS 2664 is damaged?
Can you upload good disk1 in EAB's TheZone! ?

note ~0011863

Torti the Smurf (reporter)

Cheat=brainb + enter .... not brain + enter (damn typos..sorry)

Btw. A option for using the second button would be really neat. ( space,enter OR jump)

Thank you guys !

Greetings (T_T)

note ~0011865

CFOU (developer)

are you sure for the file "5B" it is not on the disk update nor on disk 1?
On the other hand, the "6E" file is very different

note ~0011866

CFOU (developer)

in fact its file "58" and not "5B" whicj it different between updated version and original..

i am workin gon a update

note ~0011867

CFOU (developer)

i have a file '0f' with an octet different (offsset $9a3) i will verify if it's not damaged too...

i notice a crash when i skip to last level (access to exec.library...)

indeed disk1-5 must be deleted , rawdic imager to fix...

note ~0011869

CFOU (developer)

Hi,
can you test attached fixed RawDIC imager please?

2 fixes:
+ inused Disk.1 to disk.5 not saved
+ files 0f,58 & 6e fixed (update disk data)

note ~0011870

Torti the Smurf (reporter)

The new Installer works; no more corrupted files \(^o^)/

Anything else stays the same as you know ;) Crash at Level 5 n stuff ....

The Second Button feature would be really sweet too; if you could add that (ړײ)‎

❤ Thank you CFou ❤


PS:Down below are the Files 5B & 6E from the Updated Disk.
   I will post the Updated Disk in EAB´s Zone <(^_^)>


Greetings; Torti ツ

note ~0011871

CFOU (developer)

in fact it is not level 5 that crashes.
indeed, if you load five different levels one after the other (regardless of the order) using the passwords or the keys 1-8 with the cheat mode, the game will crash after loading of 5 diffrents levels.

note ~0011872

Torti the Smurf (reporter)

Hhmmm,i see ...

Nice discovery CFou (◠‿◠)

Rock on ✿

note ~0011873

CFOU (developer)

can you test last attached quick update ?


random crashes are fixed (normally )

there was a bug in load file code.
(CPU registers was not correctly restored after loading....)
__________________

note ~0011876

CFOU (developer)

game code use absolute adresses with extended memory to $80000, 200000 or c00000 but with not relocable codes....

but there are 3 game codes by example (with offset to $60000:
6e for absolute adress to $260000
6F for absolute adress to $c60000
etc...

so i will try to compare unpached files 6e & 6f to try to make relocable table to update slave to support 0.5 chip + 0.5 fast (at the end of the week)
_

note ~0011879

retrogamer (reporter)

@CFOU please can you fix the adresserror with 68000 cpu and quitkey support?

note ~0011880

Torti the Smurf (reporter)

I will Test it and report later ;)

note ~0011883

Torti the Smurf (reporter)

Works great CFOU !
I have finished the game (with invincible Cheat)and had zero problems with it.

Thank you CFOU !

note ~0011884

CFOU (developer)

@Torti the Smurf
great for 1Mio Chip slave, finally randow craches are fixed

I will soon need testers for the 0.5chip + 0.5 fast version.
The creation of the relocation table and the relocation code is finished.
I just have to insert it in the game and test quickly before launching the final test (probably for tomorrow)

note ~0011885

Pascal De Maeseneire (reporter)

@CFOU,

Of course I can Help with my ACA500Plus.

I can change my ACA500Plus setup without 1MB CHIP Emulation and change my fast ram.

note ~0011889

CFOU (developer)

can you test attached package 2.0 before first release?


 - RawDIC imager updated (0005831):
   - to remove inused 'Disk.x' files
   - to support checksum control (disks can not be swapped by error now)
   - to fix 3 corrupted files of original version (files 0F,58 & 6e)
     WARNING!! you need re-install the game to fix files
     You must use RawDIC V5.0 or above
 - test for good files at launch added (message displayed if files corrupted)
 - access fault fixed on 68000 (0003245 & 0005485)
 - randow crash fixed (load file code bugged, some CPU registers not restored...)
   (0005831)
 - less chip memory needed & main game code loaded & relocaded in fast memory
    Relocation table is created at first launch to reloc main game code (file '6e')
    remark: files "6D" and "6F" can be deleted now
 - new install script

note ~0011890

Pascal De Maeseneire (reporter)

@CFOU,

Hi,
Your lastest Slave 2.0 works correctly on my A500 rev6.A ECS 8372A (512k+512k) CPU 68000 with my ACA500Plus.

Config :
no 1MO CHIP Emulation
Disable 512K in Trapdoor
2MO FAST RAM

I used Cheat (mama) to switch to next level with TAB.
all seems to works and All levels works without any problems.

Many thanks,

Best regards,
Pascal

note ~0011891

Torti the Smurf (reporter)

Install is flawless !

I finished the game .... again :) and had zero troubles.

Great work !

Thank you so much CFOU (T_T)

note ~0011892

CFOU (developer)

all reported bugs fixed with v2.0 soon released
+Notes

-Issue History
Date Modified Username Field Change
2022-10-24 01:12 Torti the Smurf New Issue
2022-10-24 12:47 Torti the Smurf Note Added: 0011858
2022-10-25 00:59 CFOU Note Added: 0011860
2022-10-25 01:00 CFOU Note Edited: 0011860 View Revisions
2022-10-25 01:00 CFOU Assigned To => CFOU
2022-10-25 01:00 CFOU Status new => assigned
2022-10-25 01:03 CFOU Note Added: 0011861
2022-10-25 01:05 CFOU Note Added: 0011862
2022-10-25 01:10 Torti the Smurf Note Added: 0011863
2022-10-25 02:03 CFOU Note Added: 0011865
2022-10-25 09:32 CFOU Note Added: 0011866
2022-10-25 11:27 CFOU Note Added: 0011867
2022-10-26 19:12 CFOU File Added: Lollypop-rawdic-update_corrupt-files.lha
2022-10-26 19:12 CFOU Note Added: 0011869
2022-10-26 22:35 Torti the Smurf File Added: Good-From-Update.lha
2022-10-26 22:35 Torti the Smurf Note Added: 0011870
2022-10-27 00:27 CFOU Note Added: 0011871
2022-10-27 08:40 Torti the Smurf Note Added: 0011872
2022-10-31 13:06 CFOU File Added: Lolllypop-WHD-beta0c.lha
2022-10-31 13:06 CFOU Note Added: 0011873
2022-10-31 17:01 CFOU Note Added: 0011876
2022-10-31 20:47 retrogamer Note Added: 0011879
2022-11-01 10:53 Torti the Smurf Note Added: 0011880
2022-11-01 18:24 Torti the Smurf Note Added: 0011883
2022-11-01 20:38 CFOU Note Added: 0011884
2022-11-01 20:45 Pascal De Maeseneire Note Added: 0011885
2022-11-01 23:01 CFOU File Added: Lollypop-WHD-V20-for-test.lha
2022-11-01 23:01 CFOU Note Added: 0011889
2022-11-02 01:43 Pascal De Maeseneire Note Added: 0011890
2022-11-02 10:08 Torti the Smurf Note Added: 0011891
2022-11-02 11:59 CFOU Status assigned => resolved
2022-11-02 11:59 CFOU Resolution open => fixed
2022-11-02 11:59 CFOU Note Added: 0011892
+Issue History